curl --request POST \
--url https://openapi.rocketpunch.com/api/v1/posts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'request={
"text": "Post body content",
"og": {
"link": "https://example.com"
}
}' \
--form 'images=<string>' \
--form images.items='@example-file'import requests
url = "https://openapi.rocketpunch.com/api/v1/posts"
files = { "images.items": ("example-file", open("example-file", "rb")) }
payload = {
"request": "{
\"text\": \"Post body content\",
\"og\": {
\"link\": \"https://example.com\"
}
}",
"images": "<string>"
}
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('request', '{
"text": "Post body content",
"og": {
"link": "https://example.com"
}
}');
form.append('images', '<string>');
form.append('images.items', '{
"fileName": "example-file"
}');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://openapi.rocketpunch.com/api/v1/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"postId": 12345678,
"content": "<string>",
"images": [
{
"id": 12345,
"url": "https://cdn.example.com/images/2026/5/30/abcdef.jpg",
"width": 1920,
"height": 1080
}
],
"webUrl": "https://www.rocketpunch.com/post/12345678",
"postedAt": "2026-05-29T09:00:00Z",
"updatedAt": "2026-05-29T09:00:00Z",
"og": {
"link": "<string>",
"title": "<string>",
"source": "<string>",
"image": "<string>",
"description": "<string>"
}
}{
"code": "C0005",
"message": "pageSize must be 50 or less. Input: 51",
"timestamp": "2026-05-20T09:00:00",
"details": "startDate"
}{
"code": "C0005",
"message": "pageSize must be 50 or less. Input: 51",
"timestamp": "2026-05-20T09:00:00",
"details": "startDate"
}{
"code": "C0005",
"message": "pageSize must be 50 or less. Input: 51",
"timestamp": "2026-05-20T09:00:00",
"details": "startDate"
}{
"code": "C0005",
"message": "pageSize must be 50 or less. Input: 51",
"timestamp": "2026-05-20T09:00:00",
"details": "startDate"
}Create post
An OAuth-authenticated user creates a new post with body and Open Graph data. Upload the JSON body and 0-10 images as multipart/form-data. Requires the post:write scope.
Authentication: The Authorization: Bearer <jwt> header is required.
Required OAuth scope: post:write.
Authorizations
Access token for user-context authentication. Send it in the Authorization: Bearer <jwt> header. Use the token your OAuth client app obtained via the Authorization Code + PKCE flow.
Headers
Supported response locales: ko, en, ja, zh-CN, zh-TW, es, fr, de, pt, th, vi. Default is ko.
"ko"
Response
Created successfully.
Post create/update response
Post ID
12345678
Post body
Attached images (0-10).
Show child attributes
Show child attributes
Post web URL
"https://www.rocketpunch.com/post/12345678"
Posted at (ISO 8601 UTC)
"2026-05-29T09:00:00Z"
Updated at (ISO 8601 UTC)
"2026-05-29T09:00:00Z"
Show child attributes
Show child attributes
Was this page helpful?